Package io.dapr.client.domain

# Class ActorMetadata

java.lang.Object
io.dapr.client.domain.ActorMetadata

public final class ActorMetadata extends Object
ActorMetadata describes a registered Dapr Actor.

## Constructor Summary

Constructors
Constructor
Description
`ActorMetadata(String type, int count)`
Constructor for a ActorMetadata.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount()`
`String`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActorMetadata

public ActorMetadata(String type, int count)
Constructor for a ActorMetadata.

Parameters:
  `type` - of the actor
  `count` - number of actors of a particular type

## Method Details

### getType

public String getType()

### getCount

public int getCount()